#
# Copyright (c) 2007 CNRS/LAAS
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#
# Matthieu Herrb - Mon Jan 22 2007
#
# $LAAS$
#

proc gastonMobil { }  {

    # shoes
    color 60 0 0
    box 0.10 -0.15 0 0.35 0.1 0.08
    box 0.10 0.15 0 0.35 0.1 0.08
    
    # legs 
    color 0 0 60
    pushMatrix
    rotate -5 1 0 0
    cylinder 0 -0.15 0.08 z 0.2 0.8
    popMatrix
    pushMatrix
    rotate 5 1 0 0
    cylinder 0 0.15 0.08 z 0.2 0.8
    popMatrix
    
    # body
    pushMatrix
    color 0 60 0
    cylinder 0 0 0.88 z 0.4 0.3 0.6
    cylinder 0 0 1.48 z 0.2 0.1
    popMatrix
    
    # arms
    pushMatrix
    translate 0 -0.20 1.45
    sphere 0 0 0 0.06
    rotate 90 1 0 0
    rotate 60 1 0 0 
    cylinder 0 0 0 z 0.12 0.65
    color 200 170 170
    ellipsoid 0 0 0.70 0.03 0.04 0.10
    popMatrix

    pushMatrix
    translate 0 0.20 1.45
    rotate 90 -1 0 0
    rotate 60 -1 0 0 
    color 0 60 0
    sphere 0 0 0 0.06
    cylinder 0 0 0 z 0.12 0.65
    color 200 170 170
    ellipsoid 0 0 0.70 0.03 0.04 0.10
    popMatrix

    # Head
    pushMatrix
    translate 0 0 1.58
    rotate 10 0 1 0
    color 200 180 180
    ellipsoid 0 0 0.15 0.12 0.15 0.15
    cylinder 0.12 0 0.15 x 0.05 0.05
    ellipsoid 0 -0.15 0.14 0.05 0.01 0.05
    ellipsoid 0 0.15 0.14 0.05 0.01 0.05
    color 110 110 0
    sphere 0.1 -0.04 0.20 0.02
    sphere 0.1 0.04 0.20 0.02
    color 110 40 0
    cylinder 0.12 -0.03 0.10 y 0.01 0.06
    cylinder 0.12 -0.03 0.08 y 0.01 0.06
    popMatrix
    
}

proc simpleMug {} {
    color 200 200 0 
    cullFace false
    cylinder 0 0 0 z 0.06 -0.06 0.12
    color 60 0 0
    cylinder 0 0 0.01 z 0.055 0.08
}

package provide "Gdhe::models" "1.0"
